> For the complete documentation index, see [llms.txt](https://docs.junkipedia.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.junkipedia.org/reference-material/api/query-string-parameters/channel-properties.md).

# Channel Properties

The following API entry points provide the ability to search for records based on properties of the accounts that issue the posts:

* GET /posts
* GET /posts/stats

The originating accounts may represent either an individual person or a larger organization. In some contexts outside of Junkipedia, the term "channel" is used to refer to both individuals and organizations. Junkipedia provides filters that distinguish the properties of individuals and organizations with the following parameters:

* **person** – a list of key-value pairs specifying properties of social media accounts belonging to individuals.
* **channel** – a list of key-value pairs specifying properties of social media accounts belonging to organizations.

The best reference to available key-value pairs for the above parameters is to consult the filters in the user interface of the [Junkipedia Monitoring page](https://www.junkipedia.org/monitoring).

## "Person" Example: Individual Account Properties

The following example applies a filter to select posts from accounts belonging to individual persons associated with the US state of New York and the Republican political party:

* GET /posts?person\[Party]=Republican\&person\[State]=NY

## "Channel" Example: Organization Account Properties

The following example applies a filter to select posts from accounts belonging to organizations whose posts are blocked in Ukraine:

* GET /posts?channel\[blocked\_in\_countries]=UA


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.junkipedia.org/reference-material/api/query-string-parameters/channel-properties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
